#include "semver.h"
#include <assert.h>

int main() {
    Version  a, b;

    a.vk_tag = SemVer;
    a.semver.major = 3;
    a.semver.minor = 14;
    a.semver.patch = 0;
    a.pr.tag = PRNone;
    a.arch = x86_64;
    b.vk_tag = Rapid;
    b.rapid.major = 3;
    b.rapid.minor = 14;
    b.pr.tag = PRNone;
    b.arch = x86_64;
    assert(compareVersion(&a, &b) == CompEqual);
    b.pr.tag = Alpha;
    b.pr.alpha = 1;
    assert(compareVersion(&a, &b) == CompGreater);
    a.pr.tag = Beta;
    a.pr.beta = 2;
    assert(compareVersion(&a, &b) == CompGreater);
    b.pr.tag = ReleaseCandidate;
    b.pr.rc = 1;
    assert(compareVersion(&a, &b) == CompLess);
    a.arch = arm64;
    assert(compareVersion(&a, &b) == CompNone);
    return 0;
}
